Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Binaerbaum<Typ>

    java.lang.Object
      sum.strukturen.Binaerbaum<Typ>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Suchbinaerbaum

    public class Binaerbaum<Typ>

extends Object
implements Serializable

Binaerbaum ist die Klasse für einen binären Baum nach der Schnittstelle aus dem learn:line Arbeitsbereich "Von Stiften und Mäusen".
Er kann als Binaerbaum mit einem Inhaltstyp deklariert werden. Wird dieser weggelassen, liefert die Anfrage wurzelInhalt ein Object und es wird Typkonversion nötig.

Version:
  7.5 vom 29.10.2013
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`(package private) Typ` | `kenntInhalt`
`(package private) Binaerbaum<Typ>` | `kenntLinkenNachfolger`
`(package private) Binaerbaum<Typ>` | `kenntRechtenNachfolger`
`(package private) Binaerbaum<Typ>` | `kenntVater`
`(package private) static long` | `serialVersionUID`

Constructor Summary
`Binaerbaum()` Es wurde ein leerer Binaerbaum erzeugt.
`Binaerbaum(Typ pInhalt)` Es wurde ein Binaerbaum erzeugt, dessen Wurzel den angegebenen Inhalt hat und dessen Teilbäume leer sind.
`Binaerbaum(Typ pInhalt, Binaerbaum<Typ> pLinkerBaum, Binaerbaum<Typ> pRechterBaum)` Es wurde ein Binaerbaum erzeugt, dessen Wurzel den angegebenen Inhalt hat und der die angegebenen Teilbäume hat.

Method Summary
`void` | `haengeLinksAn(Binaerbaum<Typ> pBaum)` Der linke Teilbaum ist nun der angegebene Binaerbaum.
`void` | `haengeRechtsAn(Binaerbaum<Typ> pBaum)` Der rechte Teilbaum ist nun der angegebene Binaerbaum.
`boolean` | `istLeer()` Die Anfrage gibt an, ob der Binaerbaum leer ist.
`Binaerbaum<Typ>` | `linkerTeilbaum()` Die Anfrage liefert den linken Teilbaum des Binaerbaums.
`Binaerbaum<Typ>` | `rechterTeilbaum()` Die Anfrage liefert den rechten Teilbaum des Binaerbaums.
`boolean` | `teilbaeumeLeer()` Die Anfrage gibt an, ob der Binaerbaum ein Blatt ist.
`String` | `toString()` Die Anfrage liefert eine Stringrepräsentation des Baum mit seinen Unterbäumen.
`void` | `ueberschreibeWurzel(Typ pInhalt)` Die Wurzel hat den angegebenen Inhalt.
`Binaerbaum<Typ>` | `vater()` Die Anfrage liefert den Vater des Binaerbaums.
`Typ` | `wurzelInhalt()` Die Anfrage liefert den Inhalt der Wurzel.

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kenntInhalt

    Typ kenntInhalt

### kenntLinkenNachfolger

    Binaerbaum<Typ> kenntLinkenNachfolger

### kenntRechtenNachfolger

    Binaerbaum<Typ> kenntRechtenNachfolger

### kenntVater

    Binaerbaum<Typ> kenntVater

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Binaerbaum

    public Binaerbaum()

  Es wurde ein leerer Binaerbaum erzeugt.

### Binaerbaum

    public Binaerbaum(Typ pInhalt)

  Es wurde ein Binaerbaum erzeugt, dessen Wurzel den angegebenen Inhalt hat und dessen Teilbäume leer sind.

### Binaerbaum

    public Binaerbaum(Typ pInhalt,
                      Binaerbaum<Typ> pLinkerBaum,
                      Binaerbaum<Typ> pRechterBaum)

  Es wurde ein Binaerbaum erzeugt, dessen Wurzel den angegebenen Inhalt hat und der die angegebenen Teilbäume hat.

Method Detail

### haengeLinksAn

    public void haengeLinksAn(Binaerbaum<Typ> pBaum)

  Der linke Teilbaum ist nun der angegebene Binaerbaum.

### haengeRechtsAn

    public void haengeRechtsAn(Binaerbaum<Typ> pBaum)

  Der rechte Teilbaum ist nun der angegebene Binaerbaum.

### istLeer

    public boolean istLeer()

  Die Anfrage gibt an, ob der Binaerbaum leer ist.

### linkerTeilbaum

    public Binaerbaum<Typ> linkerTeilbaum()

  Die Anfrage liefert den linken Teilbaum des Binaerbaums.

### rechterTeilbaum

    public Binaerbaum<Typ> rechterTeilbaum()

  Die Anfrage liefert den rechten Teilbaum des Binaerbaums.

### teilbaeumeLeer

    public boolean teilbaeumeLeer()

  Die Anfrage gibt an, ob der Binaerbaum ein Blatt ist.

### toString

    public String toString()

  Die Anfrage liefert eine Stringrepräsentation des Baum mit seinen Unterbäumen.

  Overrides:
    `toString` in class `Object`

### ueberschreibeWurzel

    public void ueberschreibeWurzel(Typ pInhalt)

  Die Wurzel hat den angegebenen Inhalt. Die beiden Teilbäume sind leer.

### vater

    public Binaerbaum<Typ> vater()

  Die Anfrage liefert den Vater des Binaerbaums.

### wurzelInhalt

    public Typ wurzelInhalt()

  Die Anfrage liefert den Inhalt der Wurzel.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD